%define name kdebase-servicemenu

Name:           kdebase-servicemenu
Summary:        Service Menu for kdebase.
Version:		10.0
Release:		7mdk
URL:            http://www.mandrakesoft.com
Group:          Graphical desktop/KDE
BuildRoot:      %_tmppath/kdebase-service-menu-buildroot

Source0:		kdebase-service-menu.tar.bz2


License:		GPL
Requires:       kdebase >= 3.1
Requires:		kdelibs >= 3.1
BuildArch:   	noarch
BuildRequires:  intltool

%description
Regroup all konqueror service menu.


%prep
rm -rf $RPM_BUILD_ROOT 

%setup -nkdebase-service-menu

%build

# KDE still uses "no" instead of "nb" for Norwegian Bokmål
[ ! -r po/no.po -a -r po/nb.po ] && cp po/nb.po po/no.po

for i in *.desktop.in ; do intltool-merge -d -u po/ $i `(T=$i ; echo ${T/%.in/})`; done

%install

install -d -m 0755 %buildroot/usr/share/apps/konqueror/servicemenus/

install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.1-compress-zip-file.desktop %buildroot/usr/share/apps/konqueror/servicemenus/compress-zip-file.desktop
 
install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.1-compress-zip.desktop %buildroot/usr/share/apps/konqueror/servicemenus/compress-zip.desktop

install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.1-convertpdftops.desktop %buildroot/usr/share/apps/konqueror/servicemenus/convertpdftops.desktop

install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.1-convertpstopdf.desktop %buildroot/usr/share/apps/konqueror/servicemenus/convertpstopdf.desktop

install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.1-uncompress-gz.desktop %buildroot/usr/share/apps/konqueror/servicemenus/uncompress-gz.desktop

install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.1-uncompress-tgz.desktop %buildroot/usr/share/apps/konqueror/servicemenus/uncompress-tgz.desktop

install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.1-uncompress-zip.desktop %buildroot/usr/share/apps/konqueror/servicemenus/uncompress-zip.desktop

install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.2-lame-decode.desktop %buildroot/usr/share/apps/konqueror/servicemenus/lame-decode.desktop

install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.2-lame-encode.desktop %buildroot/usr/share/apps/konqueror/servicemenus/lame-encode.desktop

install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.2-mpg321-decode.desktop %buildroot/usr/share/apps/konqueror/servicemenus/mpg321-decode.desktop

install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.2-oggdec.desktop %buildroot/usr/share/apps/konqueror/servicemenus/oggdec.desktop

install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.2-oggenc.desktop %buildroot/usr/share/apps/konqueror/servicemenus/oggenc.desktop

install -m 0644 $RPM_BUILD_DIR/kdebase-service-menu/kdebase-3.2-convertpdftotxt.desktop %buildroot/usr/share/apps/konqueror/servicemenus/convertpdftotxt.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir %_datadir/apps/
%dir %_datadir/apps/konqueror/
%dir %_datadir/apps/konqueror/servicemenus/
%_datadir/apps/konqueror/servicemenus/*.desktop

%changelog
* Fri Mar 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-7mdk
- Fix uncompress-gz and uncompress-tgz action (bug reported by pascal.billery-schneider@bluewin.ch)

* Fri Mar 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-6mdk
- Fix ExcludeType "devices/*" necessary for new devices type 

* Fri Feb 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-5mdk
- Update po file

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-4mdk
- Update po file

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-3mdk
- Update po file

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-2mdk
- Fix menu

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-1mdk
- Use MDK version number

* Tue Dec 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-15mdk
- Add new service menu (pdftotext)

* Fri Nov 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-14mdk
- Update po

* Wed Oct 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-13mdk
- Fix trad

* Sun Sep 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-12mdk
- Fix zip

* Sun Sep 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-11mdk
- Fix excluse zip for device 

* Mon Aug 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-10mdk
- Use excludeServicesTypes

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-8mdk
- Fix bzip2, zip action

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-7mdk
- Fix bug reported by Daniel Lyddy <sprocket@PATH.Berkeley.EDU> for convertpstopdf desktop file

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-6mdk
- Fix ps2pdf entry
- Add Makefile to generate rpm

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-5mdk
- Fix bug reported by David Baudens

* Wed Dec 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-4mdk
- This package is no arch !

* Mon Nov 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-3mdk
- Oops 

* Mon Nov 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-2mdk
- With new kdelibs patch it's not necessary to use trigger.

* Mon Nov 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- Initial package


